System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeExpression System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a code expression that creates an array. Expressions that create an array should specify either a number of elements, or a list of expressions to use to initialize the array.

Most arrays can be initialized immediately following declaration. The property can be set to the expression to use to initialize the array.

A only directly supports creating single-dimension arrays. If a language allows arrays of arrays, it is possible to create them by nesting a within a . Not all languages support arrays of arrays. You can check whether an for a language declares support for nested arrays by calling with the flag.

Represents an expression that creates an array.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified array data type and code expression indicating the number of indexes for the array.

  A indicating the data type of the array to create.
  An expression that indicates the number of indexes of the array to create.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified array data type and initialization expressions.

  A that indicates the data type of the array to create.
  An array of expressions to use to initialize the array.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified array data type and number of indexes for the array.

  A indicating the data type of the array to create.
  The number of indexes of the array to create.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified array data type name and code expression indicating the number of indexes for the array.

  The name of the data type of the array to create.
  An expression that indicates the number of indexes of the array to create.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified array data type name and initializers.

  The name of the data type of the array to create.
  An array of expressions to use to initialize the array.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified array data type name and number of indexes for the array.

  The name of the data type of the array to create.
  The number of indexes of the array to create.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified array data type and code expression indicating the number of indexes for the array.

  The data type of the array to create.
  An expression that indicates the number of indexes of the array to create.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified array data type and initializers.

  The data type of the array to create.
  An array of expressions to use to initialize the array.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified array data type and number of indexes for the array.

  The data type of the array to create.
  The number of indexes of the array to create.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeReference To be added: an object of type 'CodeTypeReference' To be added

  Gets or sets the type of array to create.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpressionCollection To be added: an object of type 'CodeExpressionCollection' To be added

  Gets the initializers with which to initialize the array.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets or sets the number of indexes in the array.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression'

  The size of the array can be represented with a .

  Gets or sets the expression that indicates the size of the array.